<?php

namespace Teknisa\CADEST\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\CADEST\Services\Ger01800UnidadeDeMedidaService;


class Ger01800UnidadeDeMedidaController extends \Teknisa\CADEST\Controllers\TeknisaCrud {
	protected $dataSourceName;
    protected $service;
     
    public function __construct($crudService, ParameterBag $parameterBag, $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function excluirUnidMedida(DTO\Request $request, DTO\Response $response) {
        try{
            
            $row = $request->getRow();
            $this->service->excluirUnidMedida($row);
        }
        catch(\Exception $e) {
            throw $e;
        }
    }
    
}